function architect_architecture_menu_open_nav() {
	window.architect_architecture_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function architect_architecture_menu_close_nav() {
	window.architect_architecture_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
   	jQuery('.main-menu > ul').superfish({
		delay:       500,
		animation:   {opacity:'show',height:'show'},  
		speed:       'fast'
   	});
});

jQuery(document).ready(function () {
	window.architect_architecture_currentfocus=null;
  	architect_architecture_checkfocusdElement();
	var architect_architecture_body = document.querySelector('body');
	architect_architecture_body.addEventListener('keyup', architect_architecture_check_tab_press);
	var architect_architecture_gotoHome = false;
	var architect_architecture_gotoClose = false;
	window.architect_architecture_responsiveMenu=false;
 	function architect_architecture_checkfocusdElement(){
	 	if(window.architect_architecture_currentfocus=document.activeElement.className){
		 	window.architect_architecture_currentfocus=document.activeElement.className;
	 	}
 	}
 	function architect_architecture_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.architect_architecture_responsiveMenu){
			if (!e.shiftKey) {
				if(architect_architecture_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				architect_architecture_gotoHome = true;
			} else {
				architect_architecture_gotoHome = false;
			}

		}else{

			if(window.architect_architecture_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.architect_architecture_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.architect_architecture_responsiveMenu){
				if(architect_architecture_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					architect_architecture_gotoClose = true;
				} else {
					architect_architecture_gotoClose = false;
				}
			
			}else{

			if(window.architect_architecture_responsiveMenu){
			}}}}
		}
	 	architect_architecture_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);
  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

jQuery(document).ready(function () {
	function architect_architecture_search_loop_focus(element) {
	var architect_architecture_focus = element.find('select, input, textarea, button, a[href]');
	var architect_architecture_firstFocus = architect_architecture_focus[0];  
	var architect_architecture_lastFocus = architect_architecture_focus[architect_architecture_focus.length - 1];
	var KEYCODE_TAB = 9;

	element.on('keydown', function architect_architecture_search_loop_focus(e) {
	var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

	if (!isTabPressed) { 
	  return; 
	}

	if ( e.shiftKey ) /* shift + tab */ {
	  if (document.activeElement === architect_architecture_firstFocus) {
	    architect_architecture_lastFocus.focus();
	      e.preventDefault();
	    }
	  } else /* tab */ {
	  if (document.activeElement === architect_architecture_lastFocus) {
	    architect_architecture_firstFocus.focus();
	      e.preventDefault();
	    }
	  }
	});
}
	
jQuery('.search-box span a').click(function(){
    jQuery(".serach_outer").slideDown(1000);
  	architect_architecture_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
    jQuery(".serach_outer").slideUp(1000);
  });
});

jQuery("#slider .inner_carousel h1 a").each(function() {
	var t = jQuery(this).text();
	var splitT = t.split(" ");
	var halfIndex = Math.round(splitT.length / 2);
	var newText = "";
	for(var i = 0; i < splitT.length; i++) {
	if(i == halfIndex) {
		newText += "<span style='color:#ff5e15'>";
	}
		newText += splitT[i] + " ";
	}
	newText += "</span>";
	jQuery(this).html(newText);
});

jQuery('document').ready(function(){
  var owl = jQuery('#services-sec .owl-carousel');
    owl.owlCarousel({
    margin:20,
    nav: false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 3000,
    loop: false,
    dots:true,
    navText : ['<i class="fa fa-chevron-left py-4 p-3" aria-hidden="true"></i>','<i class="fa fa-chevron-right py-4 p-3" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      600: {
        items: 2
      },
      1000: {
        items: 3
      }
    },
    autoplayHoverPause : true,
    mouseDrag: true
  });
});

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const architect_architecture_progressBar =
        document.getElementById("architect_architecture_elemento_progress_bar");
    if (!architect_architecture_progressBar) return;
    window.addEventListener("scroll", function () {
        const architect_architecture_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const architect_architecture_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const architect_architecture_scrolled =
            (architect_architecture_scrollTop / architect_architecture_height) * 100;
        architect_architecture_progressBar.style.width =
            architect_architecture_scrolled + "%";
    });
});